#include <iostream>
#define MAXN 30010
#define MAXAB 1000000555
using namespace std;
long long A[MAXN], B[MAXN];
int i=0;
long long zamena(const int N, long long a[MAXN], long long b[MAXN]) {
    for(int i=i; i<i+1; i++) {
        if(a[i]!=b[i]) {
            int temp=0;
            temp=0-a[i];
            a[i]=0-a[i+1];
            a[i+1]=temp;
        } else break;
    }
    if(a[i]==b[i]) {
        if(i==N) {
            return N;
        } else {
            i++;
            return zamena(N,&a[MAXN],&b[MAXN]);
        }
    } else {
        return N-1;
    }
}
int main()
{
    int t; scanf("%d", &t);
    while(t--) {
        int n; scanf("%d", &n);
        for(int i=0; i<n; i++) {
            scanf("%d", &A[i]);

        }
        for(int i=0; i<n; i++) {
            scanf("%d", &B[i]);
        }
        int i=0;
        int xd = zamena(n, &A[i], &B[i]);
        if(xd=n) {
            printf("DA\n");
        } else {
            printf("NE\n");
        }
    }
    return 0;
}